Subject: Re: bash performance not so gooood
From: [email-masked] (Alex)

17 Sep 1997 23:04:54 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

On Wed, 17 Sep 1997, Geoffrey Noer wrote:

> Very little time has been spent optimizing cygwin.dll or bash.
> Bash currently uses fork() instead of spawn() which costs it
> quite a bit of time.  The Cygwin32 layer also needs performance
> analysis.  Until that happens, it will be slower than it needs to
> be.
> 
> > Any ideas since at this performance, I would have to buy the UWIN 
> > package and I would prefer not doing it....
> 
> You could either buy UWIN or improve cygwin.dll and/or bash and send
> us patches.  :-)

Has anyone considered running ash and not bash as sh, which unless I'm
dead wrong, might speed some configure scripts up as it's much smaller.
Also, how exactly does spawn work (It's been a while
since I've used Win95 and FreeBSD doesn't have a spawn command) vs
fork/exec?

- alex

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".